com.lowagie.text.pdf

## Interface PdfPCellEvent

- All Known Implementing Classes:
    FieldPositioningEvents, PdfPCellEventForwarder, SimpleCell

      public interface PdfPCellEvent

  An event called for a single cell.
  Author:
    Paulo Soares (psoares@consiste.pt)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cellLayout(PdfPCell cell, Rectangle position, PdfContentByte[] canvases)` This method is called at the end of the cell rendering.

- - ### Method Detail

    - #### cellLayout

          void cellLayout(PdfPCell cell,
                        Rectangle position,
                        PdfContentByte[] canvases)

      This method is called at the end of the cell rendering. The text or graphics are added to one of the 4 `PdfContentByte` contained in `canvases`.
      The indexes to `canvases` are:

      - `PdfPTable.BASECANVAS` - the original `PdfContentByte`. Anything placed here will be under the cell.
      - `PdfPTable.BACKGROUNDCANVAS` - the layer where the background goes to.
      - `PdfPTable.LINECANVAS` - the layer where the lines go to.
      - `PdfPTable.TEXTCANVAS` - the layer where the text go to. Anything placed here will be over the cell.
      The layers are placed in sequence on top of each other.

      Parameters:
        `cell` - the cell
        `position` - the coordinates of the cell
        `canvases` - an array of `PdfContentByte`